--- old/usr/src/pkg/manifests/system-file-system-zfs.mf	2014-04-11 13:24:15.618131937 +0100
+++ new/usr/src/pkg/manifests/system-file-system-zfs.mf	2014-04-11 13:24:15.626208305 +0100
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/zfs@$(PKGVERS)
@@ -51,21 +52,21 @@
 dir path=kernel/kmdb group=sys
 dir path=kernel/kmdb/$(ARCH64) group=sys
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=sbin group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/devfsadm group=sys
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/zfs group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/mdb/proc group=sys
-$(sparc_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
-$(i386_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64)
+$(sparc_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
+$(i386_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/zfs
@@ -74,7 +75,7 @@
 dir path=usr/lib/zfs
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share/man/man1m
 driver name=zfs perms="* 0600 root sys" perms="zfs 0666 root sys"
 file \
@@ -85,10 +86,10 @@
 file path=kernel/drv/zfs.conf group=sys
 file path=kernel/kmdb/$(ARCH64)/zfs group=sys mode=0555
 $(i386_ONLY)file path=kernel/kmdb/zfs group=sys mode=0555
-file path=lib/$(ARCH64)/libzfs.so.1
-file path=lib/$(ARCH64)/libzfs_core.so.1
-file path=lib/$(ARCH64)/llib-lzfs.ln
-file path=lib/$(ARCH64)/llib-lzfs_core.ln
+$(BUILD64)file path=lib/$(ARCH64)/libzfs.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libzfs_core.so.1
+$(BUILD64)file path=lib/$(ARCH64)/llib-lzfs.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lzfs_core.ln
 file path=lib/libzfs.so.1
 file path=lib/libzfs_core.so.1
 file path=lib/llib-lzfs
@@ -97,16 +98,16 @@
 file path=lib/llib-lzfs_core.ln
 file path=sbin/zfs mode=0555
 file path=sbin/zpool mode=0555
-file path=usr/lib/$(ARCH64)/libzfs_jni.so.1
-file path=usr/lib/$(ARCH64)/libzpool.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzfs_jni.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzpool.so.1
 file path=usr/lib/devfsadm/linkmod/SUNW_zfs_link.so group=sys
 file path=usr/lib/fs/zfs/bootinstall mode=0555
 file path=usr/lib/fs/zfs/fstyp.so.1 mode=0555
 file path=usr/lib/libzfs_jni.so.1
 $(i386_ONLY)file path=usr/lib/libzpool.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/zfs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/zfs.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/zfs.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libzpool.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libzpool.so group=sys mode=0555
 file path=usr/lib/mdb/proc/libzpool.so group=sys mode=0555
 file path=usr/lib/python2.6/vendor-packages/zfs/__init__.py
 file path=usr/lib/python2.6/vendor-packages/zfs/__init__.pyc
@@ -132,7 +133,7 @@
 file path=usr/lib/zfs/pyzfs.py mode=0555
 file path=usr/lib/zfs/pyzfs.pyc mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zdb mode=0555
-file path=usr/sbin/$(ARCH64)/zdb mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zdb mode=0555
 file path=usr/sbin/zstreamdump mode=0555
 file path=usr/share/man/man1m/zdb.1m
 file path=usr/share/man/man1m/zfs.1m
@@ -153,23 +154,23 @@
     license=usr/src/uts/common/fs/zfs/THIRDPARTYLICENSE.lz4
 link path=etc/fs/zfs/mount target=../../../sbin/zfs
 link path=etc/fs/zfs/umount target=../../../sbin/zfs
-link path=lib/$(ARCH64)/libzfs.so target=libzfs.so.1
-link path=lib/$(ARCH64)/libzfs_core.so target=libzfs_core.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libzfs.so target=libzfs.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libzfs_core.so target=libzfs_core.so.1
 link path=lib/libzfs.so target=libzfs.so.1
 link path=lib/libzfs_core.so target=libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs.so \
     target=../../../lib/$(ARCH64)/libzfs.so.1
-link path=usr/lib/$(ARCH64)/libzfs.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs.so.1 \
     target=../../../lib/$(ARCH64)/libzfs.so.1
-link path=usr/lib/$(ARCH64)/libzfs_core.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_core.so \
     target=../../../lib/$(ARCH64)/libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs_core.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_core.so.1 \
     target=../../../lib/$(ARCH64)/libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs_jni.so target=libzfs_jni.so.1
-link path=usr/lib/$(ARCH64)/libzpool.so target=libzpool.so.1
-link path=usr/lib/$(ARCH64)/llib-lzfs.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_jni.so target=libzfs_jni.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzpool.so target=libzpool.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lzfs.ln \
     target=../../../lib/$(ARCH64)/llib-lzfs.ln
-link path=usr/lib/$(ARCH64)/llib-lzfs_core.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lzfs_core.ln \
     target=../../../lib/$(ARCH64)/llib-lzfs_core.ln
 link path=usr/lib/fs/zfs/mount target=../../../../sbin/zfs
 link path=usr/lib/fs/zfs/umount target=../../../../sbin/zfs
--- old/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.816009172 +0100
+++ new/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.824649160 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/fru-id@$(PKGVERS)
@@ -31,15 +32,15 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 $(sparc_ONLY)dir path=usr/sbin
 dir path=usr/share/man/man1m
-file path=usr/lib/$(ARCH64)/libfru.so.1
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
-file path=usr/lib/$(ARCH64)/libfruraw.so.1
-file path=usr/lib/$(ARCH64)/libfrureg.so.1
-file path=usr/lib/$(ARCH64)/libfruutils.so.1
-file path=usr/lib/$(ARCH64)/libnvfru.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfru.so.1
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruraw.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfrureg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruutils.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libnvfru.so.1
 file path=usr/lib/libfru.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicl.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicltree.so.1
@@ -53,13 +54,13 @@
     name="FRU ID Utility and Library (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
-$(sparc_ONLY)link path=usr/lib/$(ARCH64)/libfrupicl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
+$(sparc_BUILD64)link path=usr/lib/$(ARCH64)/libfrupicl.so \
     target=./libfrupicl.so.1
-link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
-link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
-link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
-link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
 link path=usr/lib/libfru.so target=./libfru.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicl.so target=./libfrupicl.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicltree.so target=./libfrupicltree.so.1
--- old/usr/src/pkg/manifests/system-header-header-agp.mf	2014-04-11 13:24:16.007514576 +0100
+++ new/usr/src/pkg/manifests/system-header-header-agp.mf	2014-04-11 13:24:16.015499992 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/header/header-agp@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/include/sys/agp
-file path=usr/include/sys/agp/agp$(ARCH64)gart_io.h
+$(BUILD64)file path=usr/include/sys/agp/agp$(ARCH64)gart_io.h
 file path=usr/include/sys/agp/agpdefs.h
 file path=usr/include/sys/agp/agpgart_impl.h
 file path=usr/include/sys/agp/agpmaster_io.h
--- old/usr/src/pkg/manifests/system-header.mf	2014-04-11 13:24:16.200949545 +0100
+++ new/usr/src/pkg/manifests/system-header.mf	2014-04-11 13:24:16.210627911 +0100
@@ -24,6 +24,7 @@
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/header@$(PKGVERS)
@@ -34,8 +35,8 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/include
-$(i386_ONLY)dir path=usr/include/$(ARCH64)
-$(i386_ONLY)dir path=usr/include/$(ARCH64)/sys
+$(i386_BUILD64)dir path=usr/include/$(ARCH64)
+$(i386_BUILD64)dir path=usr/include/$(ARCH64)/sys
 dir path=usr/include/arpa
 dir path=usr/include/asm
 dir path=usr/include/ast
@@ -188,9 +189,9 @@
 $(sparc_ONLY)dir path=usr/share/src/uts/sun4v
 dir path=usr/xpg4
 dir path=usr/xpg4/include
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/kdi_regs.h
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/privmregs.h
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/privregs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/kdi_regs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/privmregs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/privregs.h
 file path=usr/include/aio.h
 file path=usr/include/alloca.h
 file path=usr/include/apptrace.h
--- old/usr/src/pkg/manifests/system-ldoms.mf	2014-04-11 13:24:16.442491804 +0100
+++ new/usr/src/pkg/manifests/system-ldoms.mf	2014-04-11 13:24:16.449520124 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -50,7 +51,7 @@
 dir path=platform/sun4v/kernel/misc/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/ldoms
 dir path=usr/lib/rcm
 dir path=usr/lib/rcm/scripts
@@ -95,8 +96,8 @@
 file path=platform/sun4v/kernel/misc/$(ARCH64)/fault_iso group=sys mode=0755
 file path=platform/sun4v/kernel/misc/$(ARCH64)/ldc group=sys mode=0755
 file path=platform/sun4v/kernel/misc/$(ARCH64)/platsvc group=sys mode=0755
-file path=usr/lib/$(ARCH64)/libds.so.1
-file path=usr/lib/$(ARCH64)/libpri.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libds.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpri.so.1
 file path=usr/lib/ldoms/drd mode=0555
 file path=usr/lib/ldoms/ldmad mode=0555
 file path=usr/lib/ldoms/vntsd mode=0555
--- old/usr/src/pkg/manifests/system-library-install-libinstzones.mf	2014-04-11 13:24:16.644255009 +0100
+++ new/usr/src/pkg/manifests/system-library-install-libinstzones.mf	2014-04-11 13:24:16.653401529 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/install/libinstzones@$(PKGVERS)
@@ -33,11 +34,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=usr/include/instzones_api.h
 legacy pkg=SUNWinstallint desc="Solaris Install internal files" \
     name="Solaris Install Internal Files"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libinstzones.so target=./libinstzones.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libinstzones.so \
+    target=./libinstzones.so.1
 link path=usr/lib/libinstzones.so target=./libinstzones.so.1
--- old/usr/src/pkg/manifests/system-library-libdiskmgt.mf	2014-04-11 13:24:16.839318785 +0100
+++ new/usr/src/pkg/manifests/system-library-libdiskmgt.mf	2014-04-11 13:24:16.847986669 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/libdiskmgt@$(PKGVERS)
@@ -31,9 +32,9 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libdiskmgt.so.1
-file path=usr/lib/$(ARCH64)/llib-ldiskmgt.ln
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdiskmgt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldiskmgt.ln
 file path=usr/lib/libdiskmgt.so.1
 file path=usr/lib/llib-ldiskmgt
 file path=usr/lib/llib-ldiskmgt.ln
@@ -41,5 +42,5 @@
     name="Storage Management APIs"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libdiskmgt.so target=./libdiskmgt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdiskmgt.so target=./libdiskmgt.so.1
 link path=usr/lib/libdiskmgt.so target=./libdiskmgt.so.1
--- old/usr/src/pkg/manifests/system-library-libfcoe.mf	2014-04-11 13:24:17.029363098 +0100
+++ new/usr/src/pkg/manifests/system-library-libfcoe.mf	2014-04-11 13:24:17.037486946 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/libfcoe@$(PKGVERS)
@@ -33,12 +34,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man/man3fcoe
 dir path=usr/share/man/man3lib
 file path=usr/include/libfcoe.h
-file path=usr/lib/$(ARCH64)/libfcoe.so.1
-file path=usr/lib/$(ARCH64)/llib-lfcoe.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfcoe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lfcoe.ln
 file path=usr/lib/libfcoe.so.1
 file path=usr/lib/llib-lfcoe
 file path=usr/lib/llib-lfcoe.ln
@@ -51,5 +52,5 @@
     name="Sun FCoE Port Management Library"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libfcoe.so target=libfcoe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfcoe.so target=libfcoe.so.1
 link path=usr/lib/libfcoe.so target=libfcoe.so.1
--- old/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.223651158 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.231998390 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -33,12 +34,12 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
-file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
-file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
-file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
 file path=usr/lib/gss/dh1024-0.so.1
 file path=usr/lib/gss/dh640-0.so.1
 file path=usr/lib/gss/mech_dh.so.1
@@ -47,9 +48,9 @@
     name="GSS Diffie-Hellman"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
-link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
-link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
 link path=usr/lib/gss/dh1024-0.so target=dh1024-0.so.1
 link path=usr/lib/gss/dh640-0.so target=dh640-0.so.1
 link path=usr/lib/gss/mech_dh.so target=mech_dh.so.1
--- old/usr/src/pkg/manifests/system-library-security-gss-spnego.mf	2014-04-11 13:24:17.418665507 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss-spnego.mf	2014-04-11 13:24:17.426895178 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/gss/spnego@$(PKGVERS)
@@ -31,12 +32,12 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/share/man
 dir path=usr/share/man/man5
-file path=usr/lib/$(ARCH64)/gss/mech_spnego.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_spnego.so.1
 file path=usr/lib/gss/mech_spnego.so.1
 file path=usr/share/man/man5/mech_spnego.5
 legacy pkg=SUNWspnego desc="SPNEGO GSS-API Mechanism" \
--- old/usr/src/pkg/manifests/system-library-security-gss.mf	2014-04-11 13:24:17.612352374 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss.mf	2014-04-11 13:24:17.621302897 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/gss@$(PKGVERS)
@@ -32,20 +33,20 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/lib/sasl
-dir path=usr/lib/sasl/$(ARCH64)
+$(BUILD64)dir path=usr/lib/sasl/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3gss
 dir path=usr/share/man/man3lib
-file path=usr/lib/$(ARCH64)/libgss.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libgss.so.1
 file path=usr/lib/gss/gsscred_clean group=sys mode=0744
 file path=usr/lib/gss/gssd mode=0555
 file path=usr/lib/libgss.so.1
-file path=usr/lib/sasl/$(ARCH64)/gssapi.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/gssapi.so.1
 file path=usr/lib/sasl/gssapi.so.1
 file path=usr/sbin/gsscred group=sys mode=0555
 file path=usr/share/man/man1m/gsscred.1m
@@ -100,5 +101,5 @@
     license=usr/src/lib/sasl_plugins/gssapi/THIRDPARTYLICENSE
 license usr/src/uts/common/gssapi/mechs/krb5/THIRDPARTYLICENSE \
     license=usr/src/uts/common/gssapi/mechs/krb5/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libgss.so target=libgss.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgss.so target=libgss.so.1
 link path=usr/lib/libgss.so target=libgss.so.1
--- old/usr/src/pkg/manifests/system-library-security-libsasl.mf	2014-04-11 13:24:17.807992853 +0100
+++ new/usr/src/pkg/manifests/system-library-security-libsasl.mf	2014-04-11 13:24:17.816490365 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/libsasl@$(PKGVERS)
@@ -34,9 +35,9 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/sasl
-dir path=usr/lib/sasl/$(ARCH64)
+$(BUILD64)dir path=usr/lib/sasl/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3lib
 dir path=usr/share/man/man3proc
@@ -45,12 +46,12 @@
 dir path=usr/share/man/man3rpc
 dir path=usr/share/man/man3sasl
 dir path=usr/share/man/man4
-file path=usr/lib/$(ARCH64)/libsasl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsasl.so.1
 file path=usr/lib/libsasl.so.1
-file path=usr/lib/sasl/$(ARCH64)/crammd5.so.1
-file path=usr/lib/sasl/$(ARCH64)/digestmd5.so.1
-file path=usr/lib/sasl/$(ARCH64)/login.so.1
-file path=usr/lib/sasl/$(ARCH64)/plain.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/crammd5.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/digestmd5.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/login.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/plain.so.1
 file path=usr/lib/sasl/crammd5.so.1
 file path=usr/lib/sasl/digestmd5.so.1
 file path=usr/lib/sasl/login.so.1
@@ -128,7 +129,7 @@
 license cr_Sun license=cr_Sun
 license usr/src/lib/libsasl/THIRDPARTYLICENSE \
     license=usr/src/lib/libsasl/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libsasl.so target=libsasl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsasl.so target=libsasl.so.1
 link path=usr/lib/libsasl.so target=libsasl.so.1
 link path=usr/share/man/man3proc/ps_kill.3proc target=ps_pstop.3proc
 link path=usr/share/man/man3proc/ps_lcontinue.3proc target=ps_pstop.3proc
--- old/usr/src/pkg/manifests/system-library-security-rpcsec.mf	2014-04-11 13:24:18.006139365 +0100
+++ new/usr/src/pkg/manifests/system-library-security-rpcsec.mf	2014-04-11 13:24:18.014898186 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/rpcsec@$(PKGVERS)
@@ -31,11 +32,11 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/rpcsec.so.1
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/rpcsec.so.1
 file path=usr/lib/rpcsec.so.1
 legacy pkg=SUNWrsg desc="GSS-API services for ONC RPC" name=RPCSEC_GSS
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/rpcsec.so target=rpcsec.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/rpcsec.so target=rpcsec.so.1
 link path=usr/lib/rpcsec.so target=rpcsec.so.1
--- old/usr/src/pkg/manifests/system-library-storage-fibre-channel-hbaapi.mf	2014-04-11 13:24:18.199339319 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-fibre-channel-hbaapi.mf	2014-04-11 13:24:18.207343958 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -35,12 +36,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man4
 file path=etc/hba.conf original_name=SUNWcfcl:etc/hba.conf preserve=true
 file path=usr/include/hbaapi.h
-file path=usr/lib/$(ARCH64)/libHBAAPI.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libHBAAPI.so.1
 file path=usr/lib/libHBAAPI.so.1
 file path=usr/share/man/man4/hba.conf.4
 legacy pkg=SUNWcfcl \
@@ -53,6 +54,6 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/hbaapi/THIRDPARTYLICENSE \
     license=usr/src/lib/hbaapi/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libHBAAPI.so target=libHBAAPI.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libHBAAPI.so target=libHBAAPI.so.1
 link path=usr/lib/libHBAAPI.so target=libHBAAPI.so.1
 depend fmri=system/library/storage/fibre-channel/libsun_fc type=require
--- old/usr/src/pkg/manifests/system-library-storage-fibre-channel-libsun_fc.mf	2014-04-11 13:24:18.394866604 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-fibre-channel-libsun_fc.mf	2014-04-11 13:24:18.403269586 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -34,8 +35,8 @@
 dir path=etc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libsun_fc.so.1
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_fc.so.1
 file path=usr/lib/libsun_fc.so.1
 legacy pkg=SUNWfchba desc="SNIA HBA library for Sun Fibre Channel adapters" \
     name="Sun Fibre Channel Host Bus Adapter Library"
@@ -44,5 +45,5 @@
     name="Sun Fibre Channel Host Bus Adapter Library (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libsun_fc.so target=libsun_fc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_fc.so target=libsun_fc.so.1
 link path=usr/lib/libsun_fc.so target=libsun_fc.so.1
--- old/usr/src/pkg/manifests/system-library-storage-ima-header-ima.mf	2014-04-11 13:24:18.591410034 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-ima-header-ima.mf	2014-04-11 13:24:18.599756650 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/ima/header-ima@$(PKGVERS)
@@ -34,11 +35,11 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=etc/ima.conf original_name=SUNWimac:etc/ima.conf preserve=true
 file path=usr/include/ima.h
 file path=usr/include/libsun_ima.h
-file path=usr/lib/$(ARCH64)/libima.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libima.so.1
 file path=usr/lib/libima.so.1
 legacy pkg=SUNWimac \
     desc="SNIA iSCSI Managment API common library for iSCSI adapters" \
@@ -50,6 +51,6 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/libima/THIRDPARTYLICENSE \
     license=usr/src/lib/libima/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libima.so target=libima.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libima.so target=libima.so.1
 link path=usr/lib/libima.so target=libima.so.1
 depend fmri=system/library/storage/ima type=require
--- old/usr/src/pkg/manifests/system-library-storage-ima.mf	2014-04-11 13:24:18.813863558 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-ima.mf	2014-04-11 13:24:18.823099384 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/ima@$(PKGVERS)
@@ -33,10 +34,10 @@
 dir path=etc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libsun_ima.so.1
-file path=usr/lib/$(ARCH64)/llib-lima.ln
-file path=usr/lib/$(ARCH64)/llib-lsun_ima.ln
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_ima.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lima.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsun_ima.ln
 file path=usr/lib/libsun_ima.so.1
 file path=usr/lib/llib-lima
 file path=usr/lib/llib-lima.ln
@@ -52,5 +53,5 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/libima/THIRDPARTYLICENSE \
     license=usr/src/lib/libima/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libsun_ima.so target=libsun_ima.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_ima.so target=libsun_ima.so.1
 link path=usr/lib/libsun_ima.so target=libsun_ima.so.1
--- old/usr/src/pkg/manifests/system-library-storage-libmpapi.mf	2014-04-11 13:24:19.005016523 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-libmpapi.mf	2014-04-11 13:24:19.013459920 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/libmpapi@$(PKGVERS)
@@ -33,7 +34,7 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys variant.opensolaris.zone=global
 dir path=lib variant.opensolaris.zone=global
-dir path=lib/$(ARCH64) variant.opensolaris.zone=global
+$(BUILD64)dir path=lib/$(ARCH64) variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/share/man
@@ -41,8 +42,10 @@
 dir path=usr/share/man/man3mpapi
 dir path=usr/share/man/man4
 file path=etc/mpapi.conf original_name=SUNWmpapi:etc/mpapi.conf preserve=true
-file path=lib/$(ARCH64)/libMPAPI.so.1 variant.opensolaris.zone=global
-file path=lib/$(ARCH64)/llib-lMPAPI.ln variant.opensolaris.zone=global
+$(BUILD64)file path=lib/$(ARCH64)/libMPAPI.so.1 \
+    variant.opensolaris.zone=global
+$(BUILD64)file path=lib/$(ARCH64)/llib-lMPAPI.ln \
+    variant.opensolaris.zone=global
 file path=lib/libMPAPI.so.1 variant.opensolaris.zone=global
 file path=lib/llib-lMPAPI variant.opensolaris.zone=global
 file path=lib/llib-lMPAPI.ln variant.opensolaris.zone=global
@@ -106,7 +109,7 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/mpapi/libmpapi/THIRDPARTYLICENSE \
     license=usr/src/lib/mpapi/libmpapi/THIRDPARTYLICENSE
-link path=lib/$(ARCH64)/libMPAPI.so target=libMPAPI.so.1 \
+$(BUILD64)link path=lib/$(ARCH64)/libMPAPI.so target=libMPAPI.so.1 \
     variant.opensolaris.zone=global
 link path=lib/libMPAPI.so target=libMPAPI.so.1 variant.opensolaris.zone=global
 link path=usr/share/man/man3lib/libmpapi.3lib target=libMPAPI.3lib
--- old/usr/src/pkg/manifests/system-library-storage-libmpscsi_vhci.mf	2014-04-11 13:24:19.207261890 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-libmpscsi_vhci.mf	2014-04-11 13:24:19.215573955 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -38,13 +39,13 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
 dir path=lib
-dir path=lib/$(ARCH64)
-file path=lib/$(ARCH64)/libmpscsi_vhci.so.1
+$(BUILD64)dir path=lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/libmpscsi_vhci.so.1
 file path=lib/libmpscsi_vhci.so.1
 legacy pkg=SUNWmpsvplr \
     desc="SNIA MP API plugin library for the scsi_vhci driver (Root)" \
     name="Sun MP API library for the scsi_vhci driver (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
 link path=lib/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
